Server
/api/v1.0/
Server Variables
oauth2 oauth2

FlowImplicit
Authorization URLhttps://ao.adara.com/api/
Scopes
NameDescription
No scopes

Get a client's available signals

Auth
Path Params
endpoint_owner_idstring

pattern: ^[a-zA-Z0-9-]+$

client_idstring

pattern: ^[a-zA-Z0-9-]+$

GET /signals/{endpoint_owner_id}/{client_id}
Copy
Responses
200

Successfully returned list of intel scores

objectobject
activeboolean

feature flag indicating that the endpoint is interactive

response1 fieldobject
400

Invalid request format

401

Missing/Invalid/Expired Authorization Token

404

Item Not Found

Response
Copy

Upload a csv of hashed emails for a particular customer

Auth
Path Params
endpoint_owner_idstring

pattern: ^[a-zA-Z0-9-]+$

client_idstring

pattern: ^[a-zA-Z0-9-]+$

Request Body
objectobject
typestring
hash_typestring
recordsarray[string]
POST /upload/{endpoint_owner_id}/{client_id}
Copy
Responses
200

Successfully uploaded a file

objectobject
activeboolean

feature flag indicating that the endpoint is interactive

responseobject
file_idstring

unique id uploaded file

createdinteger

unix timestamp of file upload time in seconds

400

Invalid request format

401

Missing/Invalid/Expired Authorization Token

Response
Copy

Trigger a bulk score update for a SalesForce client

Auth
Path Params
endpoint_owner_idstring

pattern: ^[a-zA-Z0-9-]+$

client_idstring

pattern: ^[a-zA-Z0-9-]+$

Request Body
objectobject
signalsarray[string]
salesforce_auth5 fieldsobject
POST /trigger/{endpoint_owner_id}/{client_id}
Copy
Responses
200

Successfully returned list of intel scores

objectobject
activeboolean

feature flag indicating that the endpoint is interactive

responseobject
createdinteger

unix timestamp of file upload time in seconds

job_idstring

unique id for the update request

400

Invalid request format

401

Missing/Invalid/Expired Authorization Token

Response
Copy

Get the current job status & results

Auth
Path Params
job_idstring
GET /status/{job_id}
Copy
Responses
200

Successfully returned list of intel scores

objectobject
activeboolean

feature flag indicating that the feature endpoint is interactive

response5 fieldsobject
Response
Copy